### Function

# Atk FocusHandler

deprecated: 2.9.4

#### Declaration

    void
    (* AtkFocusHandler) (
      AtkObject* object,
      gboolean focus_in
    )

#### Description [src]

The type of callback function used for `atk_component_add_focus_handler()` and atk_component_remove_focus_handler().

Deprecated since: 2.9.4

Deprecated with `atk_component_add_focus_handler()` and atk_component_remove_focus_handler(). See those methods for more information.

#### Parameters

`object`

  Type: `AtkObject`

  The `AtkObject` that receives/lose the focus.

  The data is owned by the caller of the function.

`focus_in`

  Type: `gboolean`

  TRUE if the object receives the focus.